# create-svelte

```shell
curl -X POST 'http:///localhost:4445/admin/clients' \
-H 'Content-Type: application/json' \
--data-raw '{
    "client_name": "Lib SK",
    "owner": "arise",
    "grant_types": ["authorization_code", "refresh_token"],
    "redirect_uris": [
      "http://localhost:5173/auth/callback"
    ],
    "response_types": ["code", "id_token"],
    "scope": "openid offline profile",
    "token_endpoint_auth_method": "client_secret_basic",
    "post_logout_redirect_uris": [
    	"http://localhost:5173/"
    ]
}'
```

Everything you need to build a Svelte library, powered by [`create-svelte`](https://github.com/sveltejs/kit/tree/master/packages/create-svelte).

Read more about creating a library [in the docs](https://kit.svelte.dev/docs/packaging).

## Creating a project

If you're seeing this, you've probably already done this step. Congrats!

```bash
# create a new project in the current directory
npm create svelte@latest

# create a new project in my-app
npm create svelte@latest my-app
```

## Developing

Once you've created a project and installed dependencies with `npm install` (or `pnpm install` or `yarn`), start a development server:

```bash
npm run dev

# or start the server and open the app in a new browser tab
npm run dev -- --open
```

Everything inside `src/lib` is part of your library, everything inside `src/routes` can be used as a showcase or preview app.

## Building

To build your library:

```bash
npm run package
```

To create a production version of your showcase app:

```bash
npm run build
```

You can preview the production build with `npm run preview`.

> To deploy your app, you may need to install an [adapter](https://kit.svelte.dev/docs/adapters) for your target environment.

## Publishing

Go into the `package.json` and give your package the desired name through the `"name"` option. Also consider adding a `"license"` field and point it to a `LICENSE` file which you can create from a template (one popular option is the [MIT license](https://opensource.org/license/mit/)).

To publish your library to [npm](https://www.npmjs.com):

```bash
npm publish
```
